import { useMutation, useQuery } from "@tanstack/react-query";
import * as api from "../service/ReportService";

export const useGetProductReport = () => {
  return useQuery({
    queryKey: ["productReport"],
    queryFn: api.getProductReport,
  });
};

export const useCreateReportCategory = () => {
  return useMutation({
    mutationFn: api.createReportCategory,
  });
};

export const useGetReportCategories = () => {
  return useQuery({
    queryKey: ["reportCategories"],
    queryFn: api.getReportCategories,
  });
};
